io.vertx.ext.web.handler

## Interface JWTAuthHandler

- All Superinterfaces:
    AuthenticationHandler, Handler<RoutingContext>

      public interface JWTAuthHandler
      extends AuthenticationHandler

  An auth handler that provides JWT Authentication support.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JWTAuthHandler` | `create(JWTAuth authProvider)` Create a JWT auth handler
    `static JWTAuthHandler` | `create(JWTAuth authProvider, String realm)` Create a JWT auth handler
    `JWTAuthHandler` | `scopeDelimiter(String delimiter)` Return a new instance with the internal state copied from the caller but the scopes delimiter set to be unique to the instance.
    `JWTAuthHandler` | `withScope(String scope)` Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.
    `JWTAuthHandler` | `withScopes(List<String> scopes)` Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### create

          static JWTAuthHandler create(JWTAuth authProvider)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          static JWTAuthHandler create(JWTAuth authProvider,
                                       String realm)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### scopeDelimiter

          JWTAuthHandler scopeDelimiter(String delimiter)

      Return a new instance with the internal state copied from the caller but the scopes delimiter set to be unique to the instance.
      Parameters:
        `delimiter` - scope delimiter.
      Returns:
        new instance of this interface.

    - #### withScope

          JWTAuthHandler withScope(String scope)

      Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.
      Parameters:
        `scope` - scope.
      Returns:
        new instance of this interface.

    - #### withScopes

          JWTAuthHandler withScopes(List<String> scopes)

      Return a new instance with the internal state copied from the caller but the scopes to be requested during a token request are unique to the instance.
      Parameters:
        `scopes` - scopes.
      Returns:
        new instance of this interface.

Copyright © 2021 Eclipse. All rights reserved.